Bug 121904 - WebUI for RHN Satellite configuration
Summary: WebUI for RHN Satellite configuration
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On: 113401 122005 122668 128532
Blocks: 98360
TreeView+ depends on / blocked
 
Reported: 2004-04-29 00:11 UTC by Todd Warner
Modified: 2007-08-06 15:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 14:27:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Todd Warner 2004-04-29 00:11:05 UTC
In support of the RHN Satellite installation, we need to build out a
configuration  UI.

Need to configure:
o disconnected?
  admin email
  mountpoint(s)
o install RHN certificate
o set up oracle
o blow away install schema
o activate satellite locally (with RHN certificate)
o if not disconnected:
  - configure HTTP proxy/user/pass
  - register (?)
o configure/create ssl keys/certs (?)
o configure/create bootstrap scripts

Comment 1 Robin Norwood 2004-08-02 22:14:58 UTC
Ok - here's what the configuration page does now:

Admin e-mail
Mount point
Parent Server
HTTP proxy
enable monitoring backend
enable monitoring scout
mac address.

Other things on the list above are not supported for rhn350sat.  Get
over it.


Test plan: Go to 'Tools->Satellite Configuration' as org admin.  Make
sure the above settings work.

Comment 2 Fanny Augustin 2004-08-07 03:26:07 UTC
All of the fields are listed as expected, but I cannot modify them.  I
don't think this make sense.  If the fields are not supposed to be
modified, they should not be displayed within text fields.  They
should be displayed as text only.  

Comment 3 Robin Norwood 2004-08-09 14:47:47 UTC
Fixed in CVS - all of the fields should be editable.

Comment 4 Fanny Augustin 2004-08-10 16:18:14 UTC
Looks good in QA.


Note You need to log in before you can comment on or make changes to this bug.